― MozillaZine.jp フォーラムは Mozilla 製品に関する情報交換の場です ―



All times are UTC + 9 hours

新しいトピックを投稿する トピックへ返信する  [ 7 件の記事 ] 
作成者 メッセージ
投稿記事Posted: 2015年12月25日(金) 12:43 
Windows 7(64bit) でFirefox 43.0.3 (Windows 64bit 版) をインストールし、拡張機能 IE Tab 2 (5.12.12.1.1-signed)もインストールしましたが、IEで表示をしようとするとプラグインがありません、と表示されてしまいます。Firefox (32bit)版では問題なくIEで表示されます。
64bit 版のFirefox では拡張機能、プラグインの仕様で変更があったのでしょうか。

情報を頂けますと助かります。

_________________
Mozilla/5.0 (Windows NT 6.1; WOW64; rv:43.0) Gecko/20100101 Firefox/43.0


通報する
ページトップ
  
引用付きで返信する  
投稿記事Posted: 2015年12月25日(金) 13:19 
オフライン
Administrator

登録日時: 2005年6月23日(木) 23:29
記事: 2453
お住まい: 東京
Firefox の win64 版については、開発版であったバージョン 41 以前では特に制限なく NPAPI プラグインを利用可能でしたが、バージョン 42 においてセキュリティ上の理由からプラグインを全面的に利用不能とし、元々バンドルされている Cisco の OpenH264 コーデック (WebRTC のために必要)、Adobe の DRM モジュール (DRM 保護された HTML5 コンテンツ再生に必要) を除けば、Flash Player のみ利用可能となりました。
これに対して不満が続出したことから、バージョン 43 では Silverlight も利用可能となりましたが、それ以外のプラグインについては未だに利用できません (有名どころでは Java などもダメです)。
これについては設定変更で回避することもできません。

これらの制限は win64 版のみであり、従来の 32 bit 版では今まで通りどのプラグインも利用可能です。
拡張機能は win64 版でも今まで通り利用できます。

_________________
[Desktop] Windows 7 Professional SP 1 (64bit) / Intel Core i7-2600 / AMD Radeon HD 7870 / 16 GB Memory
[Laptop] Windows 7 Professional SP 1 (64bit) / Intel Core i5-520M vPro / Intel HD Graphics / 8 GB Memory
常用環境: Firefox Beta (Win64 x86-64), Thunderbird Beta + Lightning Beta (Win32)
テスト環境: Firefox ESR, Firefox Release, Firefox Developer Edition, Firefox Nightly (Win64 x86-64)

Cai/1.0 (Homo sapiens; N; Homo sapiens chemist; male; rv:0.0.3.5+)
-- いつまでたっても nightly
Mozilla/5.0 (Windows NT 6.1; Win64; x64; rv:44.0) Gecko/20100101 Firefox/44.0

通報する
ページトップ
 プロフィール  
引用付きで返信する  
投稿記事Posted: 2015年12月25日(金) 17:27 
Caiさま、

ご丁寧な説明、ありがとうございました。理解できました。
社内システムがIEベースで作られているため32bit版を使い続けます。

ありがとうございました。

_________________
Mozilla/5.0 (Windows NT 6.1; WOW64; rv:43.0) Gecko/20100101 Firefox/43.0


通報する
ページトップ
  
引用付きで返信する  
投稿記事Posted: 2017年4月11日(火) 11:37 
それは困りますね。ぜひ64bitsでもIE TABを使えるようにして下さい。或る特定のサイトでIEのレンダリングエンジンが必要です。
64bitsのブラウザが使いたかったので、Cyberfoxを使っていましたが、不具合が多くfirefoxに乗り換えたところです。
いつ頃サポートできるのでしょうか?

またFirefox 64bitsで、以下のサイトは開けますが、設定をしようとすると画面が見えなくなります。

https://fx.click-sec.com/neo/web/platin ... 2017032114


Cai さんが書きました:
Firefox の win64 版については、開発版であったバージョン 41 以前では特に制限なく NPAPI プラグインを利用可能でしたが、バージョン 42 においてセキュリティ上の理由からプラグインを全面的に利用不能とし、元々バンドルされている Cisco の OpenH264 コーデック (WebRTC のために必要)、Adobe の DRM モジュール (DRM 保護された HTML5 コンテンツ再生に必要) を除けば、Flash Player のみ利用可能となりました。
これに対して不満が続出したことから、バージョン 43 では Silverlight も利用可能となりましたが、それ以外のプラグインについては未だに利用できません (有名どころでは Java などもダメです)。
これについては設定変更で回避することもできません。

これらの制限は win64 版のみであり、従来の 32 bit 版では今まで通りどのプラグインも利用可能です。
拡張機能は win64 版でも今まで通り利用できます。

_________________
Mozilla/5.0 (Windows NT 6.1; Win64; x64; rv:52.0) Gecko/20100101 Firefox/52.0


通報する
ページトップ
  
引用付きで返信する  
投稿記事Posted: 2017年4月11日(火) 11:55 
オフライン
Administrator

登録日時: 2005年6月23日(木) 23:29
記事: 2453
お住まい: 東京
tommy0524 さんが書きました:
それは困りますね。ぜひ64bitsでもIE TABを使えるようにして下さい。或る特定のサイトでIEのレンダリングエンジンが必要です。
64bitsのブラウザが使いたかったので、Cyberfoxを使っていましたが、不具合が多くfirefoxに乗り換えたところです。
いつ頃サポートできるのでしょうか?

2017 年に予定されている Mozilla ソフトウェアにおける各機能のサポート終了について (ニューストピック)
【注意】Firefox 52.0とプラグイン (フォーラムトピック)

で既に案内していますが、現行の Firefox 52 およびそれ以降のバージョンでは、32bit、64bit 版を問わず、Flash Player 以外の NPAPI プラグインの利用は全面的に不可能となりました。
明確な意図をもってのサポート打ち切りですので、サポートが復活することはあり得ないでしょう。

tommy0524 さんが書きました:
またFirefox 64bitsで、以下のサイトは開けますが、設定をしようとすると画面が見えなくなります。

https://fx.click-sec.com/neo/web/platin ... 2017032114

こちらについては、当該サービスのアカウントを持っていないため確認することができませんでした。

_________________
[Desktop] Windows 7 Professional SP 1 (64bit) / Intel Core i7-2600 / AMD Radeon HD 7870 / 16 GB Memory
[Laptop] Windows 7 Professional SP 1 (64bit) / Intel Core i5-520M vPro / Intel HD Graphics / 8 GB Memory
常用環境: Firefox Beta (Win64 x86-64), Thunderbird Beta + Lightning Beta (Win32)
テスト環境: Firefox ESR, Firefox Release, Firefox Developer Edition, Firefox Nightly (Win64 x86-64)

Cai/1.0 (Homo sapiens; N; Homo sapiens chemist; male; rv:0.0.3.5+)
-- いつまでたっても nightly
Mozilla/5.0 (Windows NT 6.1; Win64; x64; rv:53.0) Gecko/20100101 Firefox/53.0

通報する
ページトップ
 プロフィール  
引用付きで返信する  
投稿記事Posted: 2017年4月11日(火) 12:45 
オフライン
Moderator

登録日時: 2011年4月06日(水) 10:16
記事: 1538
お住まい: Tokyo
tommy0524 さんが書きました:
或る特定のサイトでIEのレンダリングエンジンが必要です。

IEで開けばいいだけのことで、Firefoxにこだわる必要はないかと。

_________________
[Desktop] Windows 7 Professional (32bit/SP1) / Geforce GTX 660Ti 2GB (382.53) / 4GB RAM
Mozilla/5.0 (Windows NT 6.1; rv:52.0) Gecko/20100101 Firefox/52.0

通報する
ページトップ
 プロフィール  
引用付きで返信する  
投稿記事Posted: 2017年4月12日(水) 02:42 
オフライン

登録日時: 2008年5月26日(月) 01:41
記事: 1251
お住まい: 冥府
Launcher機能の在るアドオンを導入してInternet Explorerに引き渡す事でも良いのでは?

_________________
*Windows 10 Red Stone2(1703/15063.138) 64bit/*GoogleJapaneseInput:MS-IME
Firefox 54.0.1:Beta 55:Developer Edition 55:Nightly 56.0a1:
Thunderbird 52.2.0:Earlybird 54.0a2:Daily 55.0a1:SeaMonkey 2.46/2.53a1:
Opera 46.0.2597.57:Google Chrome 59.0.3071.104/61.0.3140.0(Official Build)canary:
Iron 58.0.3050.0:Lunascape 6.15.1:Avant Ultimate 2017 build 8
Mozilla/5.0 (Windows NT 10.0; WOW64; rv:52.0) Gecko/20100101 Firefox/52.0

通報する
ページトップ
 プロフィール  
引用付きで返信する  
期間内表示:  ソート  
新しいトピックを投稿する トピックへ返信する  [ 7 件の記事 ] 

All times are UTC + 9 hours


オンラインデータ

このフォーラムを閲覧中のユーザー: なし & ゲスト[1人]


トピック投稿:  可
返信投稿:  可
記事編集: 不可
記事削除: 不可
ファイル添付: 不可

検索:
ページ移動:  
Powered by MozillaZine.jp® Forum Software © phpBB Group , Almsamim WYSIWYG
Japanese translation principally by ocean